Subject: Re: bug#75462: libtool wrongly reorder compiler deps on linux

From: Frederic Berat <[email-masked]>
Date: Mon, 13 Jan 2025 15:29:23 +0100

On Fri, Jan 10, 2025 at 3:36 PM Ileana Dumitrescu <
[email-masked]> wrote:

> On 09/01/2025 23:23, Frederic Berat wrote:
> ...
> >     To ensure GNU Libtool continues to work with older systems, this
> patch
> >     should probably not be applied. Users can disable the deduplication
> >     optimization with "--preserve-dup-deps" without applying the
> suggested
> >     patch, but this affects more than just compiler generated
> dependencies.
> >
> >
> > Well, I'm not sure I get why keeping duplicates would harm, but fair
> > enough my patch is clearly overkill.
>
> I am willing to apply something similar if it is specific to systems
> that have been verified to have a problem with reordered compiler
> dependencies. I do not want to assume all of linux systems require this
> patch, but a more specific subset would be good.
>

More than a specific linux system, that are dependencies that include GCC
libraries that should not be re-ordered/de-duplicated in the case I've seen.

>
> --
> Ileana Dumitrescu
>
> GPG Public Key: FA26 CA78 4BE1 8892 7F22 B99F 6570 EA01 146F 7354
>
>